---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      alpha_2:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      id:
      - a09ef7c9-79b7-5d49-af39-87d9d0f48b38
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c3953cf0-93a0-5217-9c2e-babc16fef3be
      tier: DEFINITIVE
      value: 0.258
    water_vapour:
      id:
      - 99d92236-4662-5a9c-ad0a-4616b6f3e1e9
      tier: DEFINITIVE
      value: 3.0700000762939457
  id: e982f1a2-56c3-492e-b793-b17324b6d175
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1901.1028788250683
      BAND-11: 233.77972098032987
      BAND-12: 81.79147206098875
      BAND-2: 1951.8010364568029
      BAND-3: 1829.0307927816218
      BAND-4: 1493.0123475859332
      BAND-5: 1378.4811515731785
      BAND-6: 1260.3209174451774
      BAND-7: 1158.4989567262514
      BAND-8: 1018.5888763141112
      BAND-8A: 928.5734374262871
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-05-17 00:11:23.411844Z
    atime: 2023-09-20 12:01:52Z
    ctime: 2022-05-17 03:53:41Z
    mtime: 2022-05-17 03:53:37Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2022/2022-05/15S150E-20S155E/S2B_MSIL1C_20220517T001109_N0400_R073_T56KMG_20220517T010634.zip
  system_information:
    hostname: gadi-cpu-clx-3018.gadi.nci.org.au
    runtime_id: 7caf8d38-57ad-11ee-b6f2-0000008ffe80
    time_processed: 2023-09-20 12:01:52.788036Z
    uname: 'Linux gadi-cpu-clx-3018.gadi.nci.org.au 4.18.0-477.15.1.el8.nci.x86_64
      #1 SMP Sun Jul 16 11:36:47 AEST 2023 x86_64'
gqa:
  colors:
    blue: 2.0
    green: 4.0
    red: 0.0
    teal: 3.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 4
  granule: S2B_OPER_MSI_L1C_TL_2BPS_20220517T010634_A027126_T56KMG_N04.00
  ref_date: '2014-08-18T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata-2/GCP/GQA_v3/wrs2/091/072/LC80910722014230LGN00_B2.TIF
  residual:
    abs:
      x: 0.21
      xy: 0.64
      y: 0.61
    abs_iterative_mean:
      x: 0.12
      xy: 0.48
      y: 0.46
    cep90: 0.69
    iterative_mean:
      x: 0.12
      xy: 0.48
      y: 0.46
    iterative_stddev:
      x: 0.08
      xy: 0.25
      y: 0.24
    mean:
      x: 0.07
      xy: 0.38
      y: 0.37
    stddev:
      x: 0.24
      xy: 0.67
      y: 0.63
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 0.005019890444955392
    cloud: 0.10391140042667411
    cloud_shadow: 0.08942239740412275
    snow: 0.0015328416295898157
    water: 99.80011347009466
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 99.57714473409179
    cloud: 0.42285526590820866
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.7
...
